Creates a new XSLTProcessor object

- « XSLTProcessor

- XSLTProcessor::getParameter »

- PHP Manual
- XSLTProcessor
- Creates a new XSLTProcessor object

# XSLTProcessor::__construct

(PHP 5, PHP 7, PHP 8)

XSLTProcessor::__construct — Creates a new XSLTProcessor object

### Description

XSLTProcessor::__construct()

Creates a new XSLTProcessor object.

### Parameters

This function has no parameters.

### Examples

Example #1 Creating an XSLTProcessor

    <?php

    $xsldoc = new DOMDocument();
    $xsldoc->load($xsl_filename);

    $xmldoc = new DOMDocument();
    $xmldoc->load($xml_filename);

    $xsl = new XSLTProcessor();
    $xsl->importStyleSheet($xsldoc);
    echo $xsl->transformToXML($xmldoc);

    ?>